Dallas Semiconductor 1-Wire API 1.00 Alpha: Class NetworkMonitorEvent

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.dalsemi.onewire.utils
Class NetworkMonitorEvent

    java.lang.Object
      |
      +--java.util.EventObject
            |
            +--com.dalsemi.onewire.utils.NetworkMonitorEvent

All Implemented Interfaces:
  Serializable

public class NetworkMonitorEvent
extends EventObject

1-Wire® complex Network Event. Used for keeping the state of the 1-Wire complex Network monitor event.

Version:
  0.00, 18 September 2000
See Also:
  `OWPath`, `NetworkMonitor`, `NetworkMonitorEventListener`, Serialized Form

Constructor Summary
`NetworkMonitorEvent(NetworkMonitor nm, DSPortAdapter adapter, long address, OWPath path)` Create a complex Network monitor event.

Method Summary
`DSPortAdapter` | `getAdapter()` Get the adapter this event occurred on.
`byte[]` | `getAddress()` Get the address of the event 1-Wire device as a byte array
`long` | `getAddressAsLong()` Get the address of the event 1-Wire device as a long
`String` | `getAddressAsString()` Get the address of the event 1-Wire device as a string
`OneWireContainer` | `getDeviceContainer()` Get the 1-Wire device that this event is about as a 1-Wire container.
`OWPath` | `getOWPath()` Get the 1-Wire path where the event occurred

Methods inherited from class java.util.EventObject
`getSource, toString`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### NetworkMonitorEvent

    public NetworkMonitorEvent(NetworkMonitor nm,
                               DSPortAdapter adapter,
                               long address,
                               OWPath path)

  Create a complex Network monitor event.
  Parameters:
    `nm` - NetworkMonitor instance
    `adapter` - the DSPortAdapter that the device is on
    `address` - address of the device
    `path` - OWPath that the device is on

Method Detail

### getDeviceContainer

    public OneWireContainer getDeviceContainer()

  Get the 1-Wire device that this event is about as a 1-Wire container.
  Returns:
    1-Wire container for event 1-Wire device

### getAdapter

    public DSPortAdapter getAdapter()

  Get the adapter this event occurred on.
  Returns:
    adapter the event occurred on

### getOWPath

    public OWPath getOWPath()

  Get the 1-Wire path where the event occurred
  Returns:
    1-Wire Path that the event 1-Wire device is on

### getAddress

    public byte[] getAddress()

  Get the address of the event 1-Wire device as a byte array
  Returns:
    address as a byte array
  See Also:
    `Address`

### getAddressAsLong

    public long getAddressAsLong()

  Get the address of the event 1-Wire device as a long
  Returns:
    address as a long
  See Also:
    `Address`

### getAddressAsString

    public String getAddressAsString()

  Get the address of the event 1-Wire device as a string
  Returns:
    address as a string
  See Also:
    `Address`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD